QuickHashIntStringHash
QuickHashIntStringHash::__construct
QuickHashIntStringHash
PHP Manual

# QuickHashIntStringHash::add

(PECL quickhash >= Unknown)

QuickHashIntStringHash::add — This method adds a new entry to the hash

### Opis

public bool QuickHashIntStringHash::add ( int `$key` , string `$value` )

This method adds a new entry to the hash, and returns whether the entry was added. Entries are by default always added unless QuickHashIntStringHash::CHECK_FOR_DUPES has been passed when the hash was created.

### Parametry

`key`

  The key of the entry to add.

`value`

  The value of the entry to add. If a non-string is passed, it will be converted to a string automatically if possible.

### Zwracane wartości

`TRUE` when the entry was added, and `FALSE` if the entry was not added.

### Przykłady

Przykład #1 QuickHashIntStringHash::add() example

`<?php
echo "without dupe checking\n";
$hash = new QuickHashIntStringHash( 1024 );
var_dump( $hash->exists( 4 ) );
var_dump( $hash->get( 4 ) );
var_dump( $hash->add( 4, "twenty two" ) );
var_dump( $hash->exists( 4 ) );
var_dump( $hash->get( 4 ) );
var_dump( $hash->add( 4, "twelve" ) );
echo "\nwith dupe checking\n";
$hash = new QuickHashIntStringHash( 1024, QuickHashIntStringHash::CHECK_FOR_DUPES );
var_dump( $hash->exists( 4 ) );
var_dump( $hash->get( 4 ) );
var_dump( $hash->add( 4, "seventy eight" ) );
var_dump( $hash->exists( 4 ) );
var_dump( $hash->get( 4 ) );
var_dump( $hash->add( 4, "nine" ) );
?>`

Powyższy przykład wyświetli coś podobnego do:

    without dupe checking
    bool(false)
    bool(false)
    bool(true)
    bool(true)
    string(10) "twenty two"
    bool(true)

    with dupe checking
    bool(false)
    bool(false)
    bool(true)
    bool(true)
    string(13) "seventy eight"
    bool(false)

QuickHashIntStringHash
QuickHashIntStringHash::__construct
QuickHashIntStringHash
PHP Manual